import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (h, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, p = h.length - 1, i; p >= 0; p--)
    (i = h[p]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--over21", this.class = "c-pieIcon c-pieIcon--over21", this.name = "IconOver21";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--over21"><path d="M1.7 11h4.318l-.025-1.066H2.93V9.87c0-.311.335-.567 1.263-1.028 1.029-.493 1.66-1.092 1.66-2.07 0-1.098-.796-1.771-2.058-1.771a2.69 2.69 0 0 0-2.052.848l.695.841a1.63 1.63 0 0 1 1.262-.56c.524 0 .89.155.89.679s-.303.742-1.262 1.247S1.7 9.042 1.7 10.183z"></path><path d="M8.215 11h1.2V5.108h-.866l-1.723.767.404 1.003.985-.361z"></path><path d="M13.014 8.6h1.2V7.4h-1.2V6.2h-1.2v1.2h-1.2v1.2h1.2v1.2h1.2z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  v("icon-over21")
], o);
export {
  o as IconOver21
};
